### Method

# GtkSource Snippet add_chunk

#### Declaration [src]

    void
    gtk_source_snippet_add_chunk (
      GtkSourceSnippet* snippet,
      GtkSourceSnippetChunk* chunk
    )

#### Description [src]

Appends `chunk` to the `snippet`.

This may only be called before the snippet has been expanded.

#### Parameters

`chunk`

  Type: `GtkSourceSnippetChunk`

  A `GtkSourceSnippetChunk`.

  The data is owned by the caller of the method.